require 'java_submission_tester/engine'

module JavaSubmissionTester
  # Your code goes here...
  mattr_accessor :java_8_path
  mattr_accessor :java_9_path
  mattr_accessor :default_java_version
  mattr_accessor :bubblewrap_dependencies

  self.bubblewrap_dependencies = [
    "/usr",
    "/lib",
    "/lib64",
    "/sbin"
  ]

  self.default_java_version = nil

  self.java_8_path = {
    jvm_cfg: '/etc/java-8-openjdk/amd64/jvm.cfg',
      java: '/usr/lib/jvm/java-8-openjdk-amd64/bin/java',
      javac: '/usr/lib/jvm/java-8-openjdk-amd64/bin/javac',
      javap: '/usr/lib/jvm/java-8-openjdk-amd64/bin/javap'
  }
  self.java_9_path = {
    jvm_cfg: '/etc/java-8-openjdk/amd64/jvm.cfg',
      java_home: '/usr/lib/jvm/java-9-jdk',
      java: '/usr/lib/jvm/java-9-jdk-amd64/bin/java',
      javac: '/usr/lib/jvm/java-9-jdk-amd64/bin/javac',
      javap: '/usr/lib/jvm/java-9-jdk-amd64/bin/javap'
  }
  
end
